org.apache.ignite.internal.processors.rest.request

## Class GridRestNodeStateBeforeStartRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.request.GridRestRequest
  - - org.apache.ignite.internal.processors.rest.request.GridRestNodeStateBeforeStartRequest

Direct Known Subclasses:
  GridRestWarmUpRequest

    public class GridRestNodeStateBeforeStartRequest
    extends GridRestRequest

Request to manage and obtain information about node before its start.

### Constructor Summary

Constructors
Constructor and Description
`GridRestNodeStateBeforeStartRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.rest.request.GridRestRequest

`address, address, authorizationContext, authorizationContext, certificates, certificates, clientId, clientId, command, command, credentials, credentials, destinationId, destinationId, sessionToken, sessionToken, userAttributes, userAttributes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridRestNodeStateBeforeStartRequest

    public GridRestNodeStateBeforeStartRequest()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `GridRestRequest`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021